<?xml version="1.0" encoding="utf-8" ?>

<BaseExtensions>
  <!-- CFG:1.1.0.0 -->
  <Software Version="1.1.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 1.0.32++">
    <Remove>
    </Remove>
    <Add>
      <Item Guid="Add_DismissTS_g">
        <UiControl ParameterId="107" Collection="DisEn" Label="Records Saving/Sending Without TS" Default="0" Guid="Rem_DismissTS_2op_g" />
      </Item>
      <Item Guid="Add_SleepSettings_g">
        <UiControl Guid="Remove_SleepSettings_g" ParameterId="102" Collection="SleepMode" Label="Mode" Default="2" />
      </Item>
      <Item Guid="Add_Geozones_g">
        <Geozones Guid="Remove_Geozones_gg" StartId="20100" Offset="20" Count="5">
          <Priority Collection="ScenarioPrio" Default="0" Label="Feature"/>
          <GenerateEvent Collection="GenerateEvent" Default="1" Label="Generate Event"/>
          <FrameBorder ParameterType="Double" Increment="1" Min="0" Max="1000000" Label="Frame border"/>
          <ShapeType Collection="ShapeType" Default="1" Label="Shape type" />
          <Radius ParameterType="Double" Increment="1" Min="5" Max="1000000" Label="Radius"/>
          <LongitudeX1 ParameterType="Double" Increment="0.00001" Min="-180" Max="180" Label="Longitude (X1)" />
          <LatitudeY1 ParameterType="Double" Increment="0.00001" Min="-90" Max="90" Label="Latitude (Y1)" />
          <LongitudeX2 ParameterType="Double" Increment="0.00001" Min="-180" Max="180" Label="Longitude (X2)"/>
          <LatitudeY2 ParameterType="Double" Increment="0.00001" Min="-90" Max="90" Label="Latitude (Y2)"/>
          <SendSmsTo ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers"/>
          <SmsText ParameterType="String" Label="SMS Text"/>
        </Geozones>
      </Item>
      <Item Guid="Add_DeactivBy_g">
        <UiControl Guid="Remove_DeactivBy_g" ParameterId="20005" Collection="AutoGeoDeactBy_RPM" Label="Deactivate By:" Default="0" />
      </Item>
    </Add>

      <!-- CFG:1.1.0.0 HW:FMB001 -->
    <Hardware Version="FMB0:2" FmType="FMB001">
      <Remove>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_LVCAN_g" />
    		<Item Guid="Rem_BTConnectMode_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BtAutoConMode_g" />
        </Item>
        <Item Guid="Add_OBDInrf_g">
          <UiControl ParameterId="40000" Collection="DisEn" Label="OBD Feature" Default="1" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem Guid="Remove_IO_AIN1_g" IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem Guid="Remove_IO_DOUT1_g" IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:1.1.0.0 HW:FMB010 -->
    <Hardware Version="FMB0:1" FmType="FMB010">
      <Remove>
        <Item Guid="Remove_OBDInterface_g"/>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
		<Item Guid="Rem_BTConnectMode_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BtAutoConMode_g" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:1.1.0.0 HW:FMB900 -->
    <Hardware Version="FMB9:1" FmType="FMB900">
      <Remove>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:1.1.0.0 HW:FMB920 -->
    <Hardware Version="FMB9:2" FmType="FMB920">
      <Remove>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:1.1.0.0 HW:FMB962 -->
    <Hardware Version="FMB9:3" FmType="FMB962">
      <Remove>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_EcoScore_g">
          <IOItem Guid="Remove_IO_EcoScore_g" IoId="50510" SmsEventId="8220" Name="EcoScore">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="1" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="EcoScore" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:1.1.0.0 HW:FMB964 -->
    <Hardware Version="FMB9:4" FmType="FMB964">
      <Remove>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_EcoScore_g">
          <IOItem Guid="Remove_IO_EcoScore_g" IoId="50510" SmsEventId="8220" Name="EcoScore">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="1" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="EcoScore" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
  </Software>

  <!-- CFG:2.3.0.0 -->
  <Software Version="2.3.0.0" DiffFor="1.1.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 01.03.00++">
    <Remove>
      <Item Guid="Remove_Geozones_gg" />
      <Item Guid="Remove_SleepSettings_g"/>
    </Remove>
    <Add>
      <Item Guid="Add_SleepSettings_g">
        <UiControl ParameterId="102" Collection="SleepMode_OnlDS" Label="Mode" Default="2" Guid="Remove_SleepSettingsODS_g" />
      </Item>
      <Item Guid="Add_bckupServer_g">
        <UiControl GroupName="Backup Server Settings">
          <UiControl ParameterId="2010" Collection="bkpSrvMode" Label="Mode" Default="0" />
          <UiControl ParameterId="2007" ParameterType="String" Label="Domain" Default="" TextMaxLength="55"/>
          <UiControl ParameterId="2008" ParameterType="Int32" Label="Port" Min="0" Max="65535" Default="" />
          <UiControl ParameterId="2009" Collection="ServProtocol" Label="Protocol" Default="0" />
        </UiControl>
      </Item>
      <Item Guid="Add_BlackListOp_g">
        <UiControl Guid="Remove_baseBlackListOP_g" GroupName="Operator Black List">
          <UiControl List="OpBlackListSeries" />
        </UiControl>
      </Item>
      <Item Guid="Add_Geozones_g">
        <Geozones StartId="20100" Offset="20" Count="50">
        <Priority Collection="ScenarioPrio" Default="0" Label="Feature"/>
        <GenerateEvent Collection="GenerateEvent_NoEvent" Default="1" Label="Generate Event"/>
        <EventualRecords Collection="DisEn" Default="1" Label="Eventual records" />
        <FrameBorder ParameterType="Double" Increment="1" Min="0" Max="1000000" Label="Frame border"/>
        <ShapeType Collection="ShapeType" Default="1" Label="Shape type" />
        <Radius ParameterType="Double" Increment="1" Min="5" Max="1000000" Label="Radius"/>
        <LongitudeX1 ParameterType="Double" Increment="0.00001" Min="-180" Max="180" Label="Longitude (X1)" />
        <LatitudeY1 ParameterType="Double" Increment="0.00001" Min="-90" Max="90" Label="Latitude (Y1)" />
        <LongitudeX2 ParameterType="Double" Increment="0.00001" Min="-180" Max="180" Label="Longitude (X2)"/>
        <LatitudeY2 ParameterType="Double" Increment="0.00001" Min="-90" Max="90" Label="Latitude (Y2)"/>
        <Overspeeding Collection="DisEn" Label="Overspeeding" Default="0"/>
        <MaxSpeed ParameterType="Double" Increment="1" Min="0" Max="1000" Label="Max allowed speed" Default="90" />
        <SendSmsTo ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers"/>
        <SmsText ParameterType="String" Label="SMS Text"/>
      </Geozones>
      </Item>
      <Item Guid="Add_IO_EcoScore_g">
        <IOItem IoId="50510" SmsEventId="8220" Name="EcoScore">
          <Priority Collection="PriorityCollection" Default="0" />
          <EventOnly Collection="EventOnlyCollection" Default="1" />
          <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
          <HighLevel ParameterType="Int32" Max="1000" Default="0" />
          <LowLevel ParameterType="Int32" Min="0" Default="0" />
          <Text ParameterType="String" Default="EcoScore" TextMaxLength="160"/>
          <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
        </IOItem>
      </Item>
    </Add>

      <!-- CFG:2.3.0.0 HW:FMB001 -->
    <Hardware Version="FMB0:2" FmType="FMB001">
      <Remove>
        <Item Guid="Remove_IO_AIN1_g" />
        <Item Guid="Remove_IO_DOUT1_g" />
      </Remove>
      <Add>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:2.3.0.0 HW:FMB010 -->
    <Hardware Version="FMB0:1" FmType="FMB010">
      <Remove>
        <Item Guid="Remove_DeactivBy_g" />
      </Remove>
      <Add>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:2.3.0.0 HW:FMB900 -->
    <Hardware Version="FMB9:1" FmType="FMB900">
      <Remove>
      </Remove>
      <Add>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:2.3.0.0 HW:FMB920 -->
    <Hardware Version="FMB9:2" FmType="FMB920">
      <Remove>
      </Remove>
      <Add>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:2.3.0.0 HW:FMB962 -->
    <Hardware Version="FMB9:3" FmType="FMB962">
      <Remove>
        <Item Guid="Remove_IO_EcoScore_g" />
      </Remove>
      <Add>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:2.3.0.0 HW:FMB964 -->
    <Hardware Version="FMB9:4" FmType="FMB964">
      <Remove>
        <Item Guid="Remove_IO_EcoScore_g" />
      </Remove>
      <Add>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>
  </Software>

  <!-- CFG:2.4.0.0 -->
  <Software Version="2.4.0.0" DiffFor="2.3.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 01.03.02++">
    <Remove>
    </Remove>
    <Add>
      <Item Guid="Add_FOTAWEB_g">
        <UiControl Guid="Remove_FOTAWEB_g" GroupName="FOTA WEB Settings">
          <UiControl ParameterId="13003" Collection="DisEn" Label="Status" Default="1" />
          <UiControl ParameterId="13000" ParameterType="String" Label="Domain" Default="fm.teltonika.lt" TextMaxLength="55"/>
          <UiControl ParameterId="13001" ParameterType="Int32" Label="Port" Min="0" Max="65535" Default="5000" />
          <UiControl ParameterId="13002" ParameterType="Int32" Label="Period (min)" Min="30" Max="65535" Default="720" />
        </UiControl>
      </Item>
    </Add>

  </Software>

  <!-- CFG:3.0.0.0 -->
  <Software Version="3.0.0.0" DiffFor="2.4.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.01.00++">
    <Remove>
    </Remove>
    <Add>
    </Add>

      <!-- CFG:3.0.0.0 HW:FMB001 -->
    <Hardware Version="FMB0:2" FmType="FMB001">
      <Remove>
      </Remove>
      <Add>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB010 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
          <Item Guid="Add_Unplug_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_Unplug_g">
            <UiControl GroupName="Unplug">
              <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
              <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
              <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
              <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
              <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB010 -->
    <Hardware Version="FMB0:1" FmType="FMB010">
      <Remove>
      </Remove>
      <Add>
      <!-- CFG:3.0.0.0 HW:FMB010 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
          <Item Guid="Add_Unplug_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_Unplug_g">
            <UiControl GroupName="Unplug">
              <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
              <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
              <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
              <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
              <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB010 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
          <Item Guid="Add_Unplug_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_Unplug_g">
            <UiControl GroupName="Unplug">
              <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
              <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
              <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
              <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
              <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB100, FMB110 -->
    <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
      <Remove>
        <Item Guid="Remove_GPRSSet_g"/>
        <Item Guid="Remove_OPList_g"/>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_DeactivBy_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_DualSIMGPRS_g">
          <UiControl GroupName="SIM1 GPRS Settings">
            <UiControl ParameterId="2000" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2001" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2002" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2003" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM1_g" />
          </UiControl>
          <UiControl GroupName="SIM2 GPRS Settings">
            <UiControl ParameterId="2011" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2012" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2013" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2014" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM2_g" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DualSIMOPList_g">
          <UiControl Guid="Remove_DualSIMOPList_g" GroupName="SIM1 Roaming Operator List">
            <UiControl List="OpListSeries" />
          </UiControl>
          <UiControl Guid="Remove_DualSIMOPList_g" GroupName="SIM2 Roaming/Home Operator List">
            <UiControl List="OpListSeriesSIM2" />
          </UiControl>
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DIN2_DIN3_AIN2_DOUT2_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50290" SmsEventId="8118" Name="Analog Input 2" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB100, FMB110 SPEC:100 -->
      <Spec Id="100">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_PrivBusiTrip_g">
            <UiControl GroupName="Private/Business Trip">
              <UiControl ParameterId="60000" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="1" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
      <!-- CFG:3.0.0.0 HW:FMB100, FMB110 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_DualSIMOPList_g" />
		  <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_DualSIMOPList_g">
            <UiControl GroupName="SIM1 Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
            <UiControl GroupName="SIM2 Roaming/Home Operator List">
              <UiControl List="OpListSeriesSIM2_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB120, FMB122 -->
    <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
      <Remove>
        <Item Guid="Remove_GPRSSet_g"/>
        <Item Guid="Remove_OPList_g"/>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_DeactivBy_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_DualSIMGPRS_g">
          <UiControl GroupName="SIM1 GPRS Settings">
            <UiControl ParameterId="2000" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2001" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2002" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2003" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM1_g" />
          </UiControl>
          <UiControl GroupName="SIM2 GPRS Settings">
            <UiControl ParameterId="2011" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2012" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2013" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2014" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM2_g" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DualSIMOPList_g">
          <UiControl Guid="Remove_DualSIMOPListFMB12x_g" GroupName="SIM1 Roaming Operator List">
            <UiControl List="OpListSeries" />
          </UiControl>
          <UiControl Guid="Remove_DualSIMOPListFMB12x_g" GroupName="SIM2 Roaming/Home Operator List">
            <UiControl List="OpListSeriesSIM2" />
          </UiControl>
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50290" SmsEventId="8118" Name="Analog Input 2" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB120, FMB122 SPEC:100 -->
      <Spec Id="100">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_PrivBusiTrip_g">
            <UiControl GroupName="Private/Business Trip">
              <UiControl ParameterId="60000" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="1" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
      <!-- CFG:3.0.0.0 HW:FMB120, FMB122 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_DualSIMOPListFMB12x_g" />
		  <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_DualSIMOPList_g">
            <UiControl GroupName="SIM1 Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
            <UiControl GroupName="SIM2 Roaming/Home Operator List">
              <UiControl List="OpListSeriesSIM2_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB125 no BAT -->
    <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
      <Remove>
        <Item Guid="Remove_GPRSSet_g"/>
        <Item Guid="Remove_OPList_g"/>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_DeactivBy_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_DualSIMGPRS_g">
          <UiControl GroupName="SIM1 GPRS Settings">
            <UiControl ParameterId="2000" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2001" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2002" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2003" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM1_g" />
          </UiControl>
          <UiControl GroupName="SIM2 GPRS Settings">
            <UiControl ParameterId="2011" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2012" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2013" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2014" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM2_g" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DualSIMOPList_g">
          <UiControl GroupName="SIM1 Roaming Operator List">
            <UiControl List="OpListSeries" />
          </UiControl>
          <UiControl GroupName="SIM2 Roaming/Home Operator List">
            <UiControl List="OpListSeriesSIM2" />
          </UiControl>
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_RPM_IButton" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_RFID_LLS_g">
          <IOItem IoId="50400" SmsEventId="8129" Name="RFID">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="RFID" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50410" SmsEventId="8130" Name="LLS 1 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50420" SmsEventId="8131" Name="LLS 2 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50430" SmsEventId="8132" Name="LLS 3 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50440" SmsEventId="8133" Name="LLS 4 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50450" SmsEventId="8134" Name="LLS 5 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50460" SmsEventId="8135" Name="LLS 1 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50470" SmsEventId="8136" Name="LLS 2 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50480" SmsEventId="8137" Name="LLS 3 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50490" SmsEventId="8138" Name="LLS 4 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50500" SmsEventId="8139" Name="LLS 5 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB125 -->
    <Hardware Version="FMB1:3" FmType="FMB125">
      <Remove>
        <Item Guid="Remove_GPRSSet_g"/>
        <Item Guid="Remove_OPList_g"/>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_DeactivBy_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_DualSIMGPRS_g">
          <UiControl GroupName="SIM1 GPRS Settings">
            <UiControl ParameterId="2000" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2001" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2002" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2003" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM1_g" />
          </UiControl>
          <UiControl GroupName="SIM2 GPRS Settings">
            <UiControl ParameterId="2011" Collection="DisEn" Label="GPRS Context" Default="1" />
            <UiControl ParameterId="2012" ParameterType="String" Label="APN" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2013" ParameterType="String" Label="APN Username" Default="" TextMaxLength="32" />
            <UiControl ParameterId="2014" ParameterType="String" Label="APN Password" Default="" TextMaxLength="32" />
            <Placeholder Guid="Add_chappapSet_SIM2_g" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DualSIMOPList_g">
          <UiControl Guid="Remove_DualSIMOPListFMB125_g" GroupName="SIM1 Roaming Operator List">
            <UiControl List="OpListSeries" />
          </UiControl>
          <UiControl Guid="Remove_DualSIMOPListFMB125_g" GroupName="SIM2 Roaming/Home Operator List">
            <UiControl List="OpListSeriesSIM2" />
          </UiControl>
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl  Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_RPM_IButton" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_RFID_LLS_g">
          <IOItem IoId="50400" SmsEventId="8129" Name="RFID">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="RFID" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50410" SmsEventId="8130" Name="LLS 1 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50420" SmsEventId="8131" Name="LLS 2 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50430" SmsEventId="8132" Name="LLS 3 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50440" SmsEventId="8133" Name="LLS 4 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50450" SmsEventId="8134" Name="LLS 5 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50460" SmsEventId="8135" Name="LLS 1 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50470" SmsEventId="8136" Name="LLS 2 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50480" SmsEventId="8137" Name="LLS 3 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50490" SmsEventId="8138" Name="LLS 4 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
          <IOItem IoId="50500" SmsEventId="8139" Name="LLS 5 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
            </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB125 SPEC:100 -->
      <Spec Id="100">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_PrivBusiTrip_g">
            <UiControl GroupName="Private/Business Trip">
              <UiControl ParameterId="60000" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="1" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
      <!-- CFG:3.0.0.0 HW:FMB125 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_DualSIMOPListFMB125_g" />
		  <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_DualSIMOPList_g">
            <UiControl GroupName="SIM1 Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
            <UiControl GroupName="SIM2 Roaming/Home Operator List">
              <UiControl List="OpListSeriesSIM2_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <!-- CFG:3.0.0.0 HW:TMT250 -->
    <Hardware Version="TMT25:1" FmType="TMT250">
      <Remove>
        <Item Guid="Remove_OBDInterface_g"/>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Rem_GpsFuelCounter_g" />
        <Item Guid="Rem_IgntIO_g" />
        <Item Guid="Rem_FlUsedGNSS_g" />
        <Item Guid="Rem_FlRateGNSS_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_ManDown_g">
          <UiControl GroupName="ManDown">
            <UiControl ParameterId="12100" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="12101" Collection="ManDownPosition" Label="Position" Default="0" />
            <UiControl ParameterId="12102" ParameterType="Byte" Label="Angle" Min="30" Max="150" Default="60" Units="deg" />
            <UiControl ParameterId="7222" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8222" ParameterType="String" Label="SMS Text" Default="ManDown" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
      </Add>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB900 -->
    <Hardware Version="FMB9:1" FmType="FMB900">
      <Remove>
      </Remove>
      <Add>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB900 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB920 -->
    <Hardware Version="FMB9:2" FmType="FMB920">
      <Remove>
      </Remove>
      <Add>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB920 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB962 -->
    <Hardware Version="FMB9:3" FmType="FMB962">
      <Remove>
      </Remove>
      <Add>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB962 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
          <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
     <!-- CFG:3.0.0.0 HW:FMB964 SPEC:101 -->
	<Hardware Version="FMB9:4" FmType="FMB964">
	  <Spec Id="101">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
	</Hardware>
  </Software>

  <!-- CFG:3.2.0.0 -->
  <Software Version="3.2.0.0" DiffFor="3.0.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 01.03.03++">
    <Remove>
      <Item Guid="Rem_BTConnectMode_g" />
      <Item Guid="Rem_BtAutoConMode_g" />
    </Remove>
    <Add>
      <Item Guid="Add_BTConnectMode_g">
        <UiControl ParameterId="807" Collection="BtAutoConModeNMEAOBD" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeGlobal_3_2_g" />
      </Item>
      <Item Guid="Add_IO_UserID_g">
        <IOItem IoId="50520" SmsEventId="8221" Name="User ID">
          <Priority Collection="PriorityCollection" Default="0" />
          <EventOnly Collection="EventOnlyCollection" Default="1" />
          <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
          <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
          <LowLevel ParameterType="Int32" Min="0" Default="0" />
          <Text ParameterType="String" Default="User ID" TextMaxLength="160"/>
          <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
        </IOItem>
      </Item>
    </Add>

    <Hardware Version="FMB0:1" FmType="FMB010">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConModeNMEA" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_2_g" />
        </Item>
      </Add>
    </Hardware>

    <Hardware Version="FMB0:2" FmType="FMB001">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConModeNMEA" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_2_g" />
        </Item>
      </Add>
    </Hardware>

      <!-- FW:3.2.0.0 HW:FM3001 -->
    <Hardware Version="FM3:1" FmType="FM3001">
      <Remove>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_LVCAN_g" />
		    <Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
		    <Item Guid="Add_CallTrigger_g" />
		    <Item Guid="Rem_IO_DIN1_g" />
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Rem_IncomeCall_g" />
        <Item Guid="Add_HFCall_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM_NoDin1" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_IncomeCall_g">
          <UiControl ParameterId="3005" Collection="CallAction_NoHF" Label="Incoming Call Action" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_NoDin1" Label="Deactivate By:" Default="0" Guid="Rem_DeactivBy_NoDin1_g" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConModeNMEA_NoHF" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_2_g" />
        </Item>
        <Item Guid="Add_OBDInrf_g">
          <UiControl ParameterId="40000" Collection="DisEn" Label="OBD Feature" Default="1" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>

      <!-- FW:3.2.0.0 HW:FM3010 -->
    <Hardware Version="FM3:2" FmType="FM3010">
      <Remove>
        <Item Guid="Remove_OBDInterface_g"/>
        <Item Guid="Remove_LVCAN_g" />
        <Item Guid="Remove_RS232_RS485_g" />
	    	<Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
		    <Item Guid="Add_CallTrigger_g" />
		    <Item Guid="Rem_IO_DIN1_g" />
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Rem_IncomeCall_g" />
        <Item Guid="Add_HFCall_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_NoDin1" Label="Source" Default="2" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_IncomeCall_g">
          <UiControl ParameterId="3005" Collection="CallAction_NoHF" Label="Incoming Call Action" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_NoDin1" Label="Deactivate By:" Default="0" Guid="Rem_DeactivBy_NoDin1_g" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_BTConnectMode_g">
          <UiControl ParameterId="807" Collection="BtAutoConModeNMEA_NoHF" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_2_g" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
  </Software>
  
  <!-- CFG:3.2.1.0 -->
  <Software Version="3.2.1.0" DiffFor="3.2.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.01.05++">
    <Remove>
      <Item Guid="Rem_DismissTS_2op_g" />
    </Remove>
    <Add>
      <Item Guid="Add_DismissTS_g">
        <UiControl ParameterId="107" Collection="SendSaveWithoutTS" Label="Records Saving/Sending Without TS" Default="0" />
      </Item>
    </Add>

    <Hardware Version="FMB9:1" FmType="FMB900">
    	<!-- CFG:3.2.1.0 HW:FMB900 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB9:2" FmType="FMB920">
      <!-- CFG:3.2.1.0 HW:FMB920 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB9:3" FmType="FMB962">
      <!-- CFG:3.2.1.0 HW:FMB962 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB9:4" FmType="FMB964">
      <!-- CFG:3.2.1.0 HW:FMB964 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
      <!-- CFG:3.2.1.0 HW:FMB100, FMB110 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl_DOUT2" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
      <!-- CFG:3.2.1.0 HW:FMB120, FMB122 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl_DOUT2" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB1:3" FmType="FMB125">
      <!-- CFG:3.2.1.0 HW:FMB125 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
	
    <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
      <!-- CFG:3.2.1.0 HW:FMB125 no BAT SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
  </Software>

  <!-- CFG:3.3.0.0 -->
  <Software Version="3.3.0.0" DiffFor="3.2.1.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.02.00++">
    <Remove>
      <Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
      <Item Guid="Rem_BTConnectModeLocal_3_2_g" />
    </Remove>
    <Add>
      <Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
        <UiControl ParameterId="807" Collection="BtAutoConMode_OBDII" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeGlobal_3_3_g" />
      </Item>
    </Add>
	
    <Hardware Version="FMB0:1" FmType="FMB010">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_3_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
          <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_3_g" />
        </Item>
      </Add>
    </Hardware>
	
    <Hardware Version="FMB0:2" FmType="FMB001">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_3_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
          <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_3_g" />
        </Item>
      </Add>
    </Hardware>

    <Hardware Version="FM3:1" FmType="FM3001">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_3_g" />
        <Item Guid="Rem_DeactivBy_NoDin1_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
          <UiControl ParameterId="807" Collection="BtAutoConMode_NoHF" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_3_g" />
        </Item>
        <Item Guid="Add_IO_NetType_g">
          <IOItem IoId="50650" SmsEventId="8235" Name="Network Type">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="1" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="Network Type" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
	
    <Hardware Version="FM3:2" FmType="FM3010">
      <Remove>
        <Item Guid="Rem_BTConnectModeGlobal_3_3_g" />
        <Item Guid="Rem_DeactivBy_NoDin1_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
          <UiControl ParameterId="807" Collection="BtAutoConMode_NoHF" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_3_g" />
        </Item>
        <Item Guid="Add_IO_NetType_g">
          <IOItem IoId="50650" SmsEventId="8235" Name="Network Type">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="1" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="Network Type" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
  </Software>

  <!-- CFG:3.4.0.0 -->
  <Software Version="3.4.0.0" DiffFor="3.3.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.02.01++">
    	
    <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
      <!-- CFG:3.4.0.0 HW:FMB100, FMB110 SPEC:102, this param is only added to HW's which have DOUT -->
      <Add>
	    <Item Guid="Add_LVCANIO_3.3.3_g">
			<IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="99999" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="255" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
       </Add>
    </Hardware>
	
    <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
      <!-- CFG:3.4.0.0 HW:FMB120, FMB122 SPEC:102, this param is only added to HW's which have DOUT -->
     <Add>
	    <Item Guid="Add_LVCANIO_3.4.0_g">
			<IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="99999" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="255" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
       </Add>
    </Hardware>
	
    <Hardware Version="FMB1:3" FmType="FMB125">
      <!-- CFG:3.4.0.0 HW:FMB125 SPEC:102, this param is only added to HW's which have DOUT -->
      <Add>
	    <Item Guid="Add_LVCANIO_3.4.0_g">
			<IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="99999" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="255" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
       </Add>
    </Hardware>
	
    <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
      <!-- CFG:4.3.0.0 HW:FMB125 no BAT SPEC:102, this param is only added to HW's which have DOUT -->
      
		<Add>
	    <Item Guid="Add_LVCANIO_3.4.0_g">
			<IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="99999" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="255" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
       </Add>
	</Hardware>
  </Software>

  <!-- CFG:3.5.0.0 -->
  <Software Version="3.5.0.0" DiffFor="3.4.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.02.04++">
    <Remove>
        <Item Guid="Rem_iButtonReadNotif_g" />
    </Remove>
	
	<Add>
     <Item Guid="Add_GD_Dur_g" >
        <UiControl ParameterId="11008" Collection="DisEn" Label="Green Driving Duration" Default="0" />
      </Item>
    </Add>

    <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
      <Add>
        <Item Guid="Add_iButtonReadNotif_g">
              <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
                <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
                <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
                <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
              </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
    </Hardware>

    <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
      <Add>
        <Item Guid="Add_iButtonReadNotif_g">
              <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
                <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
                <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
                <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
              </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
    </Hardware>

    <Hardware Version="FMB1:3" FmType="FMB125">
      <!-- CFG:3.5.0.0 HW:FMB125 -->
      <Remove>
        <Item Guid="Rem_ModeRS232_g" />
      </Remove>
      <Add>
        <Item Guid="Add_ModeRS232_Buf_g">
         <UiControl ParameterId="151" Collection="ModeRS232_Buf" Label="Mode" Default="0" Guid="Rem_ModeRS232_Buf_g" />
        </Item>
        <Item Guid="Add_MsgTS_g">
          <UiControl ParameterId="158" Collection="DisEn" Label="Message Timestamp" Default="0" VisibilityDependOnId="151" InvisibilityDependOnValues="0,1,2,3,4,5,6" Guid="Rem_MsgTS_g" />
        </Item>
      </Add>
      <Add>
        <Item Guid="Add_iButtonReadNotif_g">
              <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
                <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
                <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
                <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
              </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
    </Hardware>

    <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
      <!-- CFG:3.5.0.0 HW:FMB125 no BAT -->
      <Remove>
        <Item Guid="Rem_ModeRS232_g" />
      </Remove>
      <Add>
        <Item Guid="Add_ModeRS232_Buf_g">
          <UiControl ParameterId="151" Collection="ModeRS232_Buf" Label="Mode" Default="0" Guid="Rem_ModeRS232_Buf_g" />
        </Item>
        <Item Guid="Add_MsgTS_g">
          <UiControl ParameterId="158" Collection="DisEn" Label="Message Timestamp" Default="0" VisibilityDependOnId="151" InvisibilityDependOnValues="0,1,2,3,4,5,6" Guid="Rem_MsgTS_g" />
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
              <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
                <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
                <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
                <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
              </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
	  </Hardware>
  </Software>
  
  <Software Version="3.6.0.0" DiffFor="3.5.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.03.00++">
  <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
        <Spec Id="103">
            <Add>
            <Item Guid="Add_SpecDin2_g">
             <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
                <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
                <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
             </UiControl>
            </Item>
          </Add>
        </Spec>
      </Hardware>
      <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
        <Spec Id="103">
            <Add>
            <Item Guid="Add_SpecDin2_g">
             <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
                <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
                <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
             </UiControl>
            </Item>
          </Add>
        </Spec>
      </Hardware>
    <Hardware Version="FMB1:3" FmType="FMB125">
        <Spec Id="103">
          <Add>
            <Item Guid="Add_SpecDin2_g">
             <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
                <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
                <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
             </UiControl>
            </Item>
          </Add>
        </Spec>
      </Hardware>
      <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
        <Spec Id="103">
            <Add>
            <Item Guid="Add_SpecDin2_g">
             <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
                <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
                <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
             </UiControl>
            </Item>
          </Add>
        </Spec>
      </Hardware>
  </Software>

  <!-- CFG:3.7.0.0 -->
  <Software Version="3.7.0.0" DiffFor="3.6.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.04.00++">
	<Add>
        <Item Guid="Bluetooth_40_g">
			<Bluetooth40 Name="Bluetooth 40">
				<UiControl GroupName="Common settings" Orientation="Vertical">
                    <UiControl ParameterId="1100" ParameterType="Int32" Label="TZ-BT04 Update frequency" Min="30" Max="65535" Default="30" Increment="5" />
				</UiControl>
				<UiControl GroupName="connection_1" Orientation="Horizontal"> <!-- start of conn 1 -->
					<UiControl GroupName="Mode" Orientation="Vertical">
						<Placeholder Guid="Add_ble_con1_mode"/>
						<UiControl ParameterId="1200" Collection="Bt4ModeBase" Label="Working mode" Default="0" Guid="Rem_ble_con1_mode"/>
					</UiControl>  
					<UiControl GroupName="Settings" VisibilityDependOnId="1200" VisibilityDependOnValues="1">
						<UiControl ParameterId="1201" ParameterType="String" Label="ID" Default="" Validate="Length(0,8); Length(8,8); Hex"  TextMaxLength="8" />
					</UiControl>
					<Placeholder Guid="Add_ble_con1_mode_settings"/>
				</UiControl><!-- end of conn 1 -->
					<UiControl GroupName="connection_2" Orientation="Horizontal"> <!-- start of conn 2 -->
						<UiControl GroupName="Mode">
							<UiControl ParameterId="1250" Collection="Bt4ModeBase" Label="Working mode" Default="0" />
						</UiControl>
						<UiControl GroupName="Settings" VisibilityDependOnId="1250" VisibilityDependOnValues="1">
						  <UiControl ParameterId="1251" ParameterType="String" Label="ID" Default="" Validate="Length(0,8); Length(8,8); Hex" TextMaxLength="8" />
						</UiControl>
					</UiControl><!-- end of conn 2 -->
					<UiControl GroupName="connection_3" Orientation="Horizontal"> <!-- start of conn 3 -->
						<UiControl GroupName="Mode">
							<UiControl ParameterId="1300" Collection="Bt4ModeBase" Label="Working mode" Default="0" />
						</UiControl>
						<UiControl GroupName="Settings" VisibilityDependOnId="1300" VisibilityDependOnValues="1">
							<UiControl ParameterId="1301" ParameterType="String" Label="ID" Default="" Validate="Length(0,8); Length(8,8); Hex" TextMaxLength="8" />
						</UiControl>
					</UiControl><!-- end of conn 3 -->
					<UiControl GroupName="connection_4" Orientation="Horizontal"> <!-- start of conn 4 -->
						<UiControl GroupName="Mode">
							<UiControl ParameterId="1350" Collection="Bt4ModeBase" Label="Working mode" Default="0" />
						</UiControl>
						<UiControl GroupName="Settings" VisibilityDependOnId="1350" VisibilityDependOnValues="1">
							<UiControl ParameterId="1351" ParameterType="String" Label="ID" Default="" Validate="Length(0,8); Length(8,8); Hex" TextMaxLength="8" />
						</UiControl>
					</UiControl><!-- end of conn 4 -->
			</Bluetooth40>
        </Item>
		
		<Item Guid="Add_IO_BLE_g">
			<IOItem IoId="50530" SmsEventId="8223" Name="BLE Temp #1" Feature="0" Units="&#8451;">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1250" Default="0" />
			  <LowLevel ParameterType="Int32" Min="-400" Default="0" />
			  <Text ParameterType="String" Default="BLE Temp #1" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50540" SmsEventId="8224" Name="BLE Temp #2" Feature="0" Units="&#8451;">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1250" Default="0" />
			  <LowLevel ParameterType="Int32" Min="-400" Default="0" />
			  <Text ParameterType="String" Default="BLE Temp #2" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50550" SmsEventId="8225" Name="BLE Temp #3" Feature="0" Units="&#8451;">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1250" Default="0" />
			  <LowLevel ParameterType="Int32" Min="-400" Default="0" />
			  <Text ParameterType="String" Default="BLE Temp #3" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50560" SmsEventId="8226" Name="BLE Temp #4" Feature="0" Units="&#8451;">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1250" Default="0" />
			  <LowLevel ParameterType="Int32" Min="-400" Default="0" />
			  <Text ParameterType="String" Default="BLE Temp #4" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50570" SmsEventId="8227" Name="BLE Battery #1" Feature="0" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="100" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Battery #1" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50580" SmsEventId="8228" Name="BLE Battery #2" Feature="0" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="100" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Battery #2" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50590" SmsEventId="8229" Name="BLE Battery #3" Feature="0" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="100" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Battery #3" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50600" SmsEventId="8230" Name="BLE Battery #4" Feature="0" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="100" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Battery #4" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50610" SmsEventId="8231" Name="BLE Humidity #1" Feature="0" Units="%RH">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1000" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Humidity #1" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50620" SmsEventId="8232" Name="BLE Humidity #2" Feature="0" Units="%RH">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1000" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Humidity #2" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50630" SmsEventId="8233" Name="BLE Humidity #3" Feature="0" Units="%RH">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1000" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Humidity #3" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="50640" SmsEventId="8234" Name="BLE Humidity #4" Feature="0" Units="%RH">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1000" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="BLE Humidity #4" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
	</Add>
  </Software>
  
  <!-- CFG:3.7.1.0 -->
  <Software Version="3.7.1.0" DiffFor="3.7.0.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.04.02++">
	<Hardware Version="FMB0:3" FmType="FMB001 buzzer">
		<!-- Clone configuration to match FMB0:2 START -->
		<!-- CFG:1.1.0.0 HW:FMB001 FMB0:2 changes START -->
		  <Remove>
			<Item Guid="Remove_RS232_RS485_g" />
			<Item Guid="Remove_LVCAN_g" />
			<Item Guid="Rem_BTConnectMode_g" />
		  </Remove>
		  <Add>
			<Item Guid="Add_MovementSrc_g">
			  <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
			</Item>
			<Item Guid="Add_IgnSrc_g">
			  <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
			</Item>
			<Item Guid="Add_BatteryChargeMode_g">
			  <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
			</Item>
			<Item Guid="Add_CallTrigger_g">
			  <UiControl ParameterId="3007" Collection="OutCallAction" Label="Outgoing Call Trigger" Default="0" />
			</Item>
			<Item Guid="Add_AuthNumb_g">
			  <UiControl List="AuthNumbers_200" />
			</Item>
			<Item Guid="Add_BTConnectMode_g">
			  <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BtAutoConMode_g" />
			</Item>
			<Item Guid="Add_OBDInrf_g">
			  <UiControl ParameterId="40000" Collection="DisEn" Label="OBD Feature" Default="1" />
			</Item>
			<Item Guid="Add_Unplug_g">
			  <UiControl GroupName="Unplug">
				<UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
				<UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
				<UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
				<UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
				<UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
			  </UiControl>
			</Item>
			<Item Guid="Add_IO_AIN1_g" >
			  <IOItem Guid="Remove_IO_AIN1_g" IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
				<Priority Collection="PriorityCollection" Default="0" />
				<EventOnly Collection="EventOnlyCollection" Default="0" />
				<Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
				<HighLevel ParameterType="Int32" Max="30000" Default="0" />
				<LowLevel ParameterType="Int32" Min="0" Default="0" />
				<AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
				<Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
				<Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			  </IOItem>
			</Item>
			<Item Guid="Add_IO_DOUT1_g" >
			  <IOItem Guid="Remove_IO_DOUT1_g" IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
				<Priority Collection="PriorityCollection" Default="0" />
				<EventOnly Collection="EventOnlyCollection" Default="0" />
				<Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
				<HighLevel ParameterType="Int32" Max="1" Default="0" />
				<LowLevel ParameterType="Int32" Min="0" Default="0" />
				<AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
				<Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
				<Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			  </IOItem>
			</Item>
			<Item Guid="Add_IO_Battery_g">
			  <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
				<Priority Collection="PriorityCollection" Default="1" />
				<EventOnly Collection="EventOnlyCollection" Default="0" />
				<Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
				<HighLevel ParameterType="Int32" Max="5000" Default="0" />
				<LowLevel ParameterType="Int32" Min="0" Default="0" />
				<AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
				<Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
				<Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			  </IOItem>
			  <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
				<Priority Collection="PriorityCollection" Default="1" />
				<EventOnly Collection="EventOnlyCollection" Default="0" />
				<Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
				<HighLevel ParameterType="Int32" Max="5000" Default="0" />
				<LowLevel ParameterType="Int32" Min="0" Default="0" />
				<AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
				<Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
				<Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			  </IOItem>
			</Item>
		  </Add>
		<!-- CFG:1.1.0.0 HW:FMB001 FMB0:02 changes END -->
		<!-- CFG:2.3.0.0 HW:FMB001 FMB0:02 changes START -->
		  <Remove>
			<Item Guid="Remove_IO_AIN1_g" />
			<Item Guid="Remove_IO_DOUT1_g" />
		  </Remove>
		  <Add>
			<Item Guid="Add_AdvTripOdo_g">
			  <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Advanced Trip Settings">
				<UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
			  </UiControl>
			  <UiControl Guid="Remove_AdvTripOdo_g" GroupName="Odometer">
				<UiControl ParameterId="11806" Collection="DistSrc" Label="Calculation Source" Default="0" />
				<UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
			  </UiControl>
			</Item>
		  </Add>
		<!-- CFG:2.3.0.0 HW:FMB001 FMB0:02 changes END -->
		<!-- CFG:3.0.0.0 HW:FMB001 FMB0:02 changes START -->
		  <Spec Id="101">
			<Remove>
			  <Item Guid="Remove_baseBlackListOP_g" />
			  <Item Guid="Remove_OPList_g" />
			  <Item Guid="Add_Unplug_g" />
			</Remove>
			<Add>
			  <Item Guid="Add_Spec_AESEncSetting_g">
				<UiControl GroupName ="AES Encryption Settings">
				  <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
				  <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
				  <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
				</UiControl>
			  </Item>
			  <Item Guid="Add_BlackListOp_g">
				<UiControl GroupName="Operator Black List">
				  <UiControl List="OpBlackListSeries_100" />
				</UiControl>
			  </Item>
			  <Item Guid="Add_Spec_ExtendOPList_g">
				<UiControl GroupName="Roaming Operator List">
				  <UiControl List="OpListSeries_100" />
				</UiControl>
			  </Item>
			  <Item Guid="Add_Spec_Unplug_g">
				<UiControl GroupName="Unplug">
				  <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
				  <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
				  <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
				  <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
				  <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
				</UiControl>
			  </Item>
			</Add>
		  </Spec>
		<!-- CFG:3.0.0.0 HW:FMB001 FMB0:02 changes END -->
		<!-- CFG:3.2.0.0 HW:FMB001 FMB0:02 changes START -->
		  <Remove>
			<Item Guid="Rem_BTConnectModeGlobal_3_2_g" />
		  </Remove>
		  <Add>
			<Item Guid="Add_BTConnectMode_g">
			  <UiControl ParameterId="807" Collection="BtAutoConModeNMEA" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_2_g" />
			</Item>
		  </Add>
		<!-- CFG:3.2.0.0 HW:FMB001 FMB0:02 changes END -->
		<!-- CFG:3.3.0.0 HW:FMB001 FMB0:02 changes START -->
		  <Remove>
			<Item Guid="Rem_BTConnectModeGlobal_3_3_g" />
		  </Remove>
		  <Add>
			<Item Guid="Add_BTConnectMode_g">	<!-- AA from 03.02.00 fw, nmea app mode is removed -->
			  <UiControl ParameterId="807" Collection="BtAutoConMode" Label="Connection Mode" Default="0" Guid="Rem_BTConnectModeLocal_3_3_g" />
			</Item>
		  </Add>
		<!-- CFG:3.3.0.0 HW:FMB001 FMB0:02 changes END -->
		<!-- Clone configuration to match FMB0:2 END   -->
	</Hardware>

  </Software>

  <!-- CFG:3.7.1.0 -->
  <Software Version="3.7.2.0" DiffFor="3.7.1.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.05.01++">
    <Hardware Version="FMB1:21" FmType="FMB100, FMB110 BLE">
      <Remove>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
			<UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
          </UiControl>
        </Item>		
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DIN2_DIN3_AIN2_DOUT2_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50290" SmsEventId="8118" Name="Analog Input 2" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
		<Item Guid="Add_LVCANIO_3.3.3_g">
			<IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="1" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="99999" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
			<IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
			  <Priority Collection="PriorityCollection" Default="0" />
			  <EventOnly Collection="EventOnlyCollection" Default="0" />
			  <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
			  <HighLevel ParameterType="Int32" Max="255" Default="0" />
			  <LowLevel ParameterType="Int32" Min="0" Default="0" />
			  <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
			  <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
			</IOItem>
		</Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>

      <Spec Id="100">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_PrivBusiTrip_g">
            <UiControl GroupName="Private/Business Trip">
              <UiControl ParameterId="60000" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="1" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
		  <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <Spec Id="102">
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl_DOUT2" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
	  
	  <Spec Id="103">
        <Add>
            <Item Guid="Add_SpecDin2_g">
             <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
                <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
                <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
             </UiControl>
            </Item>
        </Add>
      </Spec>
		
	  <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware> 
	 <!-- CFG:3.0.0.0 HW:FMB120, FMB122 -->
    <Hardware Version="FMB1:22" FmType="FMB120, FMB122 BLE">
      <Remove>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50290" SmsEventId="8118" Name="Analog Input 2" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_LVCANIO_3.4.0_g">
          <IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="99999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="255" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
            <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
          </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB120, FMB122 SPEC:100 -->
      <Spec Id="100">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_PrivBusiTrip_g">
            <UiControl GroupName="Private/Business Trip">
              <UiControl ParameterId="60000" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="1" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
      <!-- CFG:3.0.0.0 HW:FMB120, FMB122 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
		  <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <!-- CFG:3.2.1.0 HW:FMB120, FMB122 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl_DOUT2" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <Spec Id="103">
        <Add>
          <Item Guid="Add_SpecDin2_g">
            <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
              <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
              <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB1:23" FmType="FMB125 BLE">
      <Remove>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Rem_ModeRS232_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl  Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_RPM_IButton" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_RFID_LLS_g">
          <IOItem IoId="50400" SmsEventId="8129" Name="RFID">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="RFID" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50410" SmsEventId="8130" Name="LLS 1 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50420" SmsEventId="8131" Name="LLS 2 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50430" SmsEventId="8132" Name="LLS 3 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50440" SmsEventId="8133" Name="LLS 4 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50450" SmsEventId="8134" Name="LLS 5 Fuel Level" Units="kvants or l">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="65535" Default="0" />
              <LowLevel ParameterType="Int32" Min="0" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Fuel Level" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50460" SmsEventId="8135" Name="LLS 1 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 1 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50470" SmsEventId="8136" Name="LLS 2 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 2 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50480" SmsEventId="8137" Name="LLS 3 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 3 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50490" SmsEventId="8138" Name="LLS 4 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 4 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50500" SmsEventId="8139" Name="LLS 5 Temperature" Units="&#8451;">
              <Priority Collection="PriorityCollection" Default="0" />
              <EventOnly Collection="EventOnlyCollection" Default="0" />
              <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
              <HighLevel ParameterType="Int32" Max="127" Default="0" />
              <LowLevel ParameterType="Int32" Min="-128" Default="0" />
              <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
              <Text ParameterType="String" Default="LLS 5 Temperature" TextMaxLength="160"/>
              <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage" Units="mV">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current" Units="mA">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_LVCANIO_3.4.0_g">
          <IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="99999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="255" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_ModeRS232_Buf_g">
          <UiControl ParameterId="151" Collection="ModeRS232_Buf" Label="Mode" Default="0" Guid="Rem_ModeRS232_Buf_g" />
        </Item>
        <Item Guid="Add_MsgTS_g">
          <UiControl ParameterId="158" Collection="DisEn" Label="Message Timestamp" Default="0" VisibilityDependOnId="151" InvisibilityDependOnValues="0,1,2,3,4,5,6" Guid="Rem_MsgTS_g" />
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
            <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
          </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
      <!-- CFG:3.0.0.0 HW:FMB125 SPEC:101 -->
      <Spec Id="101">
        <Remove>
          <Item Guid="Remove_baseBlackListOP_g" />
          <Item Guid="Remove_DualSIMOPListFMB125_g" />
		   <Item Guid="Remove_OPList_g" />
        </Remove>
        <Add>
          <Item Guid="Add_Spec_AESEncSetting_g">
            <UiControl GroupName ="AES Encryption Settings">
              <UiControl ParameterId="60010" Collection="DisEn" Label="AES Encryption Mode" Default="0" />
              <UiControl ParameterId ="60011" ParameterType="String" Label="Key Value" Default="EA47B6D9CB2D6B6485A197F67904669C" TextMaxLength="32" Validate="Length(0,32); Hex"/>
              <UiControl ParameterId ="60012" ParameterType="String" Label="Key Name" Default="581A36659D2AC75F37E8A58B81F906FA" TextMaxLength="32"/>
            </UiControl>
          </Item>
          <Item Guid="Add_BlackListOp_g">
            <UiControl GroupName="Operator Black List">
              <UiControl List="OpBlackListSeries_100" />
            </UiControl>
          </Item>
		  <Item Guid="Add_Spec_ExtendOPList_g">
            <UiControl GroupName="Roaming Operator List">
              <UiControl List="OpListSeries_100" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <!-- CFG:3.2.1.0 HW:FMB125 SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <Spec Id="103">
        <Add>
          <Item Guid="Add_SpecDin2_g">
            <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
              <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
              <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

      <!-- CFG:3.0.0.0 HW:FMB125 no BAT -->
    <Hardware Version="FMB1:24" FmType="FMB125 BLE no BAT">
      <Remove>
        <Item Guid="Remove_AdvTripOdo_g"/>
        <Item Guid="Remove_DeactivBy_g" />
        <Item Guid="Rem_ModeRS232_g" />
        <Item Guid="Remove_SDStatus_g" />
      </Remove>
      <Add>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input Value Range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="5000" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" />
          </UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100"  Default="200" Units="ms" />
          </UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_RPM_IButton" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" />
          </UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" />
          </UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g" >
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1" Units="mV">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g" >
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_RFID_LLS_g">
          <IOItem IoId="50400" SmsEventId="8129" Name="RFID">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="RFID" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50410" SmsEventId="8130" Name="LLS 1 Fuel Level" Units="kvants or l">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="65535" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 1 Fuel Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50420" SmsEventId="8131" Name="LLS 2 Fuel Level" Units="kvants or l">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="65535" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 2 Fuel Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50430" SmsEventId="8132" Name="LLS 3 Fuel Level" Units="kvants or l">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="65535" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 3 Fuel Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50440" SmsEventId="8133" Name="LLS 4 Fuel Level" Units="kvants or l">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="65535" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 4 Fuel Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50450" SmsEventId="8134" Name="LLS 5 Fuel Level" Units="kvants or l">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="65535" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 5 Fuel Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50460" SmsEventId="8135" Name="LLS 1 Temperature" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="127" Default="0" />
            <LowLevel ParameterType="Int32" Min="-128" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 1 Temperature" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50470" SmsEventId="8136" Name="LLS 2 Temperature" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="127" Default="0" />
            <LowLevel ParameterType="Int32" Min="-128" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 2 Temperature" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50480" SmsEventId="8137" Name="LLS 3 Temperature" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="127" Default="0" />
            <LowLevel ParameterType="Int32" Min="-128" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 3 Temperature" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50490" SmsEventId="8138" Name="LLS 4 Temperature" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="127" Default="0" />
            <LowLevel ParameterType="Int32" Min="-128" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 4 Temperature" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50500" SmsEventId="8139" Name="LLS 5 Temperature" Units="&#8451;">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="127" Default="0" />
            <LowLevel ParameterType="Int32" Min="-128" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="LLS 5 Temperature" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_LVCANIO_3.4.0_g">
          <IOItem IoId="45890" SmsEventId="8236" Name="CNG Status" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Status" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45900" SmsEventId="8237" Name="CNG Used" Units="kg">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="16777215" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Used" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45910" SmsEventId="8238" Name="CNG Level" Units="%">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="99999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="CNG Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="45920" SmsEventId="8239" Name="Oil Level" Units="">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="255" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <Text ParameterType="String" Default="Oil Level" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_ModeRS232_Buf_g">
          <UiControl ParameterId="151" Collection="ModeRS232_Buf" Label="Mode" Default="0" Guid="Rem_ModeRS232_Buf_g" />
        </Item>
        <Item Guid="Add_MsgTS_g">
          <UiControl ParameterId="158" Collection="DisEn" Label="Message Timestamp" Default="0" VisibilityDependOnId="151" InvisibilityDependOnValues="0,1,2,3,4,5,6" Guid="Rem_MsgTS_g" />
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
              <UiControl Guid="Rem_iButtonReadNotif_g_3_6_0" GroupName="iButton read notification">
                <UiControl ParameterId="11704" Collection="DoutCtrl" Label="Output Control" Default="0" />
                <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="50000" Increment="100"  Default="200" Units="ms" />
                <UiControl ParameterId="11706" Collection="DisEn" Label="iButton List Checking" Default="0" />
              </UiControl>
        </Item>
        <Item Guid="Add_LVCANIO_TachoSpd_g">
          <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
        </Item>
      </Add>
      <!-- CFG:3.2.1.0 HW:FMB125 no BAT SPEC:102, this param is only added to HW's which have DOUT -->
      <Spec Id="102">
        <Remove>
        </Remove>
        <Add>
          <Item Guid="Add_Spec_DataSendDout_g">
            <UiControl GroupName="DOUT control by connection state">
              <UiControl ParameterId="12200" Collection="DoutCtrl" Label="Output Control" />
              <UiControl ParameterId="12201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="600" Default="5" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>

      <Spec Id="103">
        <Add>
          <Item Guid="Add_SpecDin2_g">
            <UiControl Guid="Rem_SpecDin2_g_3_6_0" GroupName="DIN2 Control">
              <UiControl ParameterId="60020" Collection="DisEn" Label="Functionality Settings" Default="0" />
              <UiControl ParameterId="60021" ParameterType="Int32" Label="DIN2 Timeout" Min="0" Max="255" Default="10" Units="s" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

  </Software>

  <!-- CFG:3.8.0.0 -->
  <Software Version="3.8.0.0" DiffFor="3.7.2.0" MinimumConfigurator="0.9.0.0" Title="CFG for FW 03.06.00++">
    <Remove>
      <Item Guid="Remove_SleepSettingsODS_g"/>
    </Remove>
    <Add>
      <Item Guid="Add_SleepSettings_g">
		<UiControl ParameterId="102" Collection="SleepMode_OnlDS_UDS" Label="Mode" Default="2" />
      </Item>
	  <Item Guid="Add_chappapSet_SIM1_g">
        <UiControl ParameterId="2016" Collection="chappap" Label="GPRS authentication" Default="0" />
      </Item>
	  <Item Guid="Add_chappapSet_SIM2_g">
        <UiControl ParameterId="2017" Collection="chappap" Label="GPRS authentication" Default="0" />
      </Item>
	</Add>
    <Hardware Version="FMB9:1" FmType="FMB900">
      <!-- CFG:3.8.0.0 HW:FMB900 -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB9:2" FmType="FMB920">
      <!-- CFG:3.8.0.0 HW:FMB920 -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB9:3" FmType="FMB962">
      <!-- CFG:3.8.0.0 HW:FMB962 -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB9:4" FmType="FMB964">
      <!-- CFG:3.8.0.0 HW:FMB964 -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB1:1" FmType="FMB100, FMB110">
      <!-- CFG:3.8.0.0 HW:FMB100, FMB110 SPEC:104, this param is only added to HW's which have DOUT -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB1:2" FmType="FMB120, FMB122">
      <!-- CFG:3.8.0.0 HW:FMB120, FMB122 SPEC:104, this param is only added to HW's which have DOUT -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB1:3" FmType="FMB125">
      <!-- CFG:3.8.0.0 HW:FMB125 SPEC:104, this param is only added to HW's which have DOUT -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>

    <Hardware Version="FMB1:4" FmType="FMB125 no BAT">
      <!-- CFG:3.8.0.0 HW:FMB125 no BAT SPEC:104, this param is only added to HW's which have DOUT -->
      <Spec Id="104">
        <Add>
          <Item Guid="Add_specDOUTctrl_g">
            <UiControl GroupName="Custom_DOUT_control">
              <UiControl ParameterId="60030" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
              <UiControl ParameterId="60031" Collection="ONOFFCtrl" Label="Default DOUT State" Default="0" />
              <UiControl ParameterId="60032" ParameterType="Int32" Label="Period" Min="1" Max="65535" Default="1440" Units="min" />
              <UiControl ParameterId="60033" ParameterType="Int32" Label="Duration" Min="1" Max="65535" Default="1000" Units="ms" />
              <UiControl ParameterId="60034" Collection="DinCtrl" Label="Restriction" Default="0" />
            </UiControl>
          </Item>
        </Add>
      </Spec>
    </Hardware>
  </Software>

  <Software Version="3.9.0.0" DiffFor="3.8.0.0" MinimumConfigurator="0.8.0.0" Title="CFG for FW 03.07.00++">
      <Hardware Version="FMB2:1" FmType="FMB202">
      <Remove>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_LVCAN_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input value range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" /></UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100" Default="200" Units="ms" /></UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" /></UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" /></UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g">
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g">
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
    <Hardware Version="FMB2:2" FmType="FMB204">
      <Remove>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_LVCAN_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input value range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" /></UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100" Default="200" Units="ms" /></UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" /></UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" /></UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g">
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g">
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
    <Hardware Version="FMB2:3" FmType="FMB206">
      <Remove>
        <Item Guid="Remove_RS232_RS485_g" />
        <Item Guid="Remove_LVCAN_g" />
      </Remove>
      <Add>
        <Item Guid="Add_BatteryChargeMode_g">
          <UiControl ParameterId="110" Collection="BatChargeMode" Label="Bat Charge Mode" Default="0" />
        </Item>
        <Item Guid="Add_MovementSrc_g">
          <UiControl ParameterId="100" Collection="MovementSrc_CAN" Label="Movement Source" Default="1" />
        </Item>
        <Item Guid="Add_AnInputRange_g">
          <UiControl ParameterId="111" Collection="AinRange" Label="Analog Input value range" Default="1" />
        </Item>
        <Item Guid="Add_IgnSrc_g">
          <UiControl ParameterId="101" Collection="IgnSrc_EngRPM" Label="Source" Default="4" />
        </Item>
        <Item Guid="Add_Unplug_g">
          <UiControl GroupName="Unplug">
            <UiControl ParameterId="11500" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11501" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11502" Collection="UnplugMode" Label="Unplug Mode" Default="0" />
            <UiControl ParameterId="7036" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8036" ParameterType="String" Label="SMS Text" Default="Unplug" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_CallTrigger_g">
          <UiControl ParameterId="3007" Collection="OutCallAction_DIN1_DIN2" Label="Outgoing Call Trigger" Default="0" />
        </Item>
        <Item Guid="Add_AuthNumb_g">
          <UiControl List="AuthNumbers_200" />
        </Item>
        <Item Guid="Add_GD_OutControl_g">
          <UiControl ParameterId="11003" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11001" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11002" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OS_OutControl_g">
          <UiControl ParameterId="11103" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11101" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11102" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Jamm_OutControl_g">
          <UiControl ParameterId="11304" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11301" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11302" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_Exce_OutControl_g">
          <UiControl ParameterId="11204" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
          <UiControl ParameterId="11201" ParameterType="Int32" Label="DOUT ON Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
          <UiControl ParameterId="11202" ParameterType="Int32" Label="DOUT OFF Duration" Min="0" Max="2147483647" Default="200" Units="ms" />
        </Item>
        <Item Guid="Add_OutControlCall_g">
          <UiControl GroupName="Use authorized numbers to control DOUT via call">
            <UiControl ParameterId="12000" Collection="DoutCtrl_DOUT2" Label="DOUT to control" />
            <UiControl ParameterId="12001" Collection="DinCtrl_FMB1" Label="OFF trigger" />
            <UiControl ParameterId="12002" ParameterType="Int32" Label="Max ON duration" Min="0" Max="2147483647" Default="5" Units="s" /></UiControl>
        </Item>
        <Item Guid="Add_Immobilizer_g">
          <UiControl GroupName="Immobilizer">
            <UiControl ParameterId="11700" Collection="ScenarioPrio" Label="Feature" Default="0" />
            <UiControl ParameterId="11701" Collection="DisEn" Label="Eventual Records" Default="1" />
            <UiControl ParameterId="11702" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11703" Collection="DisEn" Label="iButton List Check" Default="0" />
            <UiControl ParameterId="7140" ControlType="DropDownList" ParameterType="Byte" Label="Send SMS To" SourceBindToList="SMS Events Numbers" />
            <UiControl ParameterId="8140" ParameterType="String" Label="SMS Text" Default="Immobilizer" TextWrap="Wrap" TextMaxLength="160" /></UiControl>
        </Item>
        <Item Guid="Add_iButtonReadNotif_g">
          <UiControl Guid="Rem_iButtonReadNotif_g" GroupName="iButton read notification">
            <UiControl ParameterId="11704" Collection="DoutCtrl_DOUT2" Label="Output Control" Default="0" />
            <UiControl ParameterId="11705" ParameterType="Int32" Label="DOUT ON Duration" Min="100" Max="5000" Increment="100" Default="200" Units="ms" /></UiControl>
        </Item>
        <Item Guid="Add_DeactivBy_g">
          <UiControl ParameterId="20005" Collection="AutoGeoDeactBy_FMB1" Label="Deactivate By:" Default="0" />
        </Item>
        <Item Guid="Add_AdvTripOdo_g">
          <UiControl GroupName="Advanced Trip Settings">
            <UiControl ParameterId="700" ParameterType="Int32" Label="Eco Score allowed events" Min="0" Max="65535" Default="10"/>
            <UiControl ParameterId="11805" Collection="DisEn" Label="Remember iButton" Default="0" /></UiControl>
          <UiControl GroupName="Odometer">
            <UiControl ParameterId="11806" Collection="DistSrc_FMB1" Label="Calculation Source" Default="0" />
            <UiControl ParameterId="11807" ParameterType="Int32" Label="Odometer Value" Min="0" Max="9999999" Default="0" Units="km" /></UiControl>
        </Item>
        <Item Guid="Add_iButton_g">
          <IButton Name="iButtonList">
            <UiControl List="iButtonList_500"/>
          </IButton>
        </Item>
        <Item Guid="Add_IO_AIN1_g">
          <IOItem IoId="50180" SmsEventId="8018" Name="Analog Input 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="30000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Analog Input 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_DOUT1_g">
          <IOItem IoId="50190" SmsEventId="8019" Name="Digital Ouput 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_FMB1_IO_g">
          <IOItem IoId="50270" SmsEventId="8116" Name="Digital Input 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50280" SmsEventId="8117" Name="Digital Input 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="1"/>
            <Text ParameterType="String" Default="Dig. Input 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50300" SmsEventId="8119" Name="Digital Ouput 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="1" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dig. Ouput 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50310" SmsEventId="8120" Name="Dallas Temperature 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50320" SmsEventId="8121" Name="Dallas Temperature 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50330" SmsEventId="8122" Name="Dallas Temperature 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50340" SmsEventId="8123" Name="Dallas Temperature 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="3000" Default="0" />
            <LowLevel ParameterType="Int32" Min="-550" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50350" SmsEventId="8124" Name="Dallas Temperature ID 1">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 1" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50360" SmsEventId="8125" Name="Dallas Temperature ID 2">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 2" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50370" SmsEventId="8126" Name="Dallas Temperature ID 3">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 3" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50380" SmsEventId="8127" Name="Dallas Temperature ID 4">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Dallas Temp. ID 4" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50390" SmsEventId="8128" Name="iButton">
            <Priority Collection="PriorityCollection" Default="0" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollectionLimited" ControlType="DropDownList" Default="3" />
            <HighLevel ParameterType="Int32" Max="999999999" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="iButton" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
        <Item Guid="Add_IO_Battery_g">
          <IOItem IoId="50120" SmsEventId="8012" Name="Battery Voltage">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Voltage" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
          <IOItem IoId="50130" SmsEventId="8013" Name="Battery Current">
            <Priority Collection="PriorityCollection" Default="1" />
            <EventOnly Collection="EventOnlyCollection" Default="0" />
            <Operand Collection="OperandCollection" ControlType="DropDownList" Default="3"/>
            <HighLevel ParameterType="Int32" Max="5000" Default="0" />
            <LowLevel ParameterType="Int32" Min="0" Default="0" />
            <AveragingConstant ParameterType="Int32" Min="0" Max="65535" Default="10"/>
            <Text ParameterType="String" Default="Battery Current" TextMaxLength="160"/>
            <Phone ControlType="DropDownList" ParameterType="Byte" SourceBindToList="SMS Events Numbers" />
          </IOItem>
        </Item>
      </Add>
    </Hardware>
  </Software>
  <!-- HW List 
<Hardware Version="FMB0:1" FmType="FMB010"></Hardware>
<Hardware Version="FMB0:2" FmType="FMB001"></Hardware>
<Hardware Version="FMB0:3" FmType="FMB001 buzzer"></Hardware>	FMB001 su buzzeriu
<Hardware Version="FMB9:1" FmType="FMB900"></Hardware>
<Hardware Version="FMB9:2" FmType="FMB920"></Hardware>
<Hardware Version="FMB9:3" FmType="FMB962"></Hardware>
<Hardware Version="FMB9:4" FmType="FMB964"></Hardware>
<Hardware Version="FMB1:1" FmType="FMB100, FMB110"></Hardware>
<Hardware Version="FMB1:2" FmType="FMB120, FMB122"></Hardware>
<Hardware Version="FMB1:3" FmType="FMB125"></Hardware>
<Hardware Version="FMB1:4" FmType="FMB125 no BAT"></Hardware>
<Hardware Version="TMT25:1" FmType="TMT250"></Hardware>
  -->
    
  </BaseExtensions>
